aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorVeerabrahmam vr <veerabrahmam.vr@huawei.com>2012-09-06 06:31:46 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2012-09-10 12:04:41 +0100
commitd7b549a72a91db41d8b7084b4b3efa162a62a880 (patch)
treecfe7c41237c5927f617528a422fce4137d72d085 /scripts
parent357478b624b27fdfce25b6064b0f64717db75fa6 (diff)
downloadopenembedded-core-contrib-d7b549a72a91db41d8b7084b4b3efa162a62a880.tar.gz
qemuimagetest: add basic function to check enough disk space
one test case to check disk space availability. Signed-off-by: veerabrahmam <veerabrahmamvr@huawei.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/qemuimage-tests/systemusage/df54
-rw-r--r--scripts/qemuimage-tests/tools/df.sh25
2 files changed, 79 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/systemusage/df b/scripts/qemuimage-tests/systemusage/df
new file mode 100755
index 0000000000..9657b73b34
--- /dev/null
+++ b/scripts/qemuimage-tests/systemusage/df
@@ -0,0 +1,54 @@
+#!/bin/bash
+# df -h check test case for function test
+# boot up the qemu target with `runqemu qemuxxx`,
+# then check if df space is fine or not target.
+#
+# Author: veera <veerabrahmamvr@huawei.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+. $COREBASE/scripts/qemuimage-testlib
+
+TIMEOUT=400
+RET=1
+
+# Start qemu and check its network
+Test_Create_Qemu ${TIMEOUT}
+
+
+
+#If qemu network is up, check ssh service in qemu
+if [ $? -eq 0 ];then
+ Test_Info "Begin to Test SSH Service in Qemu"
+ Test_SSH_UP ${TARGET_IPADDR} ${TIMEOUT}
+ RET=$?
+else
+ RET=1
+fi
+
+# Check if disk spcae space is enough or not(using df command)
+if [ $RET -eq 0 -a -f $TOOLS/df.sh ]; then
+ # Copy df.sh into target
+ Test_Target_Pre ${TARGET_IPADDR} $TOOLS/df.sh
+ if [ $? -eq 0 ]; then
+ # Run df.sh to check if df space is fine or not on the qemuxxx target
+ Test_SSH ${TARGET_IPADDR} "sh $TARGET_TEST_DIR/df.sh"
+ RET=$?
+ else
+ RET=1
+ fi
+fi
+
+if [ ${RET} -eq 0 ]; then
+ Test_Info "df Test PASS"
+ Test_Kill_Qemu
+ Test_Print_Result "df" 0
+ exit 0
+else
+ Test_Info "df Test FAIL, Pls. check above df"
+ Test_Kill_Qemu
+ Test_Print_Result "df" 1
+ exit 1
+fi
diff --git a/scripts/qemuimage-tests/tools/df.sh b/scripts/qemuimage-tests/tools/df.sh
new file mode 100644
index 0000000000..280c08e031
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/df.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# df test script to check enough disk space for qemu target
+#
+# Author: veera <veerabrahmamvr@huawei.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#taking the size of the each partition
+array_list=(`df -P | tr -s " " | cut -d " " -f4`)
+#Total size of the array
+array_size=`echo ${#array_list[@]}`
+loop_val=1
+#while loop to check the size of partitions are less than 5MB
+while [ $loop_val -lt $array_size ]
+do
+ #taking each value from the array to check the size
+ value=`echo ${array_list[$loop_val]}`
+ if [[ $value -gt 5120 ]];then
+ loop_val=`expr $loop_val + 1`
+ else
+ echo "QEMU: df : disk space is not enough"
+ exit 1
+ fi
+done
+exit 0